<?xml version="1.0" encoding="utf-8"?>
<node name="">
  <node name="Phones">
    <node name="SIP">
      <node name="Private">
        <rule name="X-SIP" attrs="HOME" level="0"/>
        <rule name="X-SIP" attrs="" level="1"/>
        <rule name="TEL" attrs="SIP" level="2"/>
        <rule name="TEL" attrs="VIDEO" level="4"/>
      </node>
      <node name="Business">
        <rule name="X-SIP" attrs="WORK" level="0"/>
        <rule name="TEL" attrs="SIP;WORK" level="1"/>
      </node>
    </node>
    <node name="Fixed">
      <node name="Private">
        <rule name="TEL" attrs="VOICE;HOME" level="0"/>
        <rule name="TEL" attrs="HOME" level="1"/>
      </node>
      <node name="Business">
        <rule name="TEL" attrs="VOICE;WORK" level="0"/>
        <rule name="TEL" attrs="WORK" level="1"/>
      </node>
    </node>
    <node name="Mobile">
      <node name="Private">
        <rule name="TEL" attrs="CELL;HOME" level="0"/>
        <rule name="TEL" attrs="CAR;HOME" level="1"/>
        <rule name="TEL" attrs="CELL" level="1"/>
        <rule name="TEL" attrs="CAR" level="2"/>
        <rule name="TEL" attrs="" level="5"/>
      </node>
      <node name="Business">
        <rule name="TEL" attrs="CELL;WORK" level="0"/>
        <rule name="TEL" attrs="CAR;WORK" level="1"/>
      </node>
    </node>
  </node>
  
  <node name="Addresses">
    <node name="Other">
      <node name="City">
        <rule name="ADR" attrs="POSTAL" pos="3,7" level="1" />
        <rule name="LABEL" pos="3,7" level="1" type="append"/>
      </node>
      <node name="Country">
        <rule name="ADR" attrs="POSTAL" pos="6,7" level="1" />
        <rule name="LABEL" pos="6,7" level="1" type="append"/>
      </node>
      <node name="PostalCode">
        <rule name="ADR" attrs="POSTAL" pos="5,7" level="1" />
        <rule name="LABEL" pos="5,7" level="1" type="append"/>
      </node>
      <node name="State">
        <rule name="ADR" attrs="POSTAL" pos="4,7" level="1" />
        <rule name="LABEL" pos="4,7" level="1" type="append"/>
      </node>
      <node name="Street">
        <rule name="ADR" attrs="POSTAL" pos="2,7" level="1" />
        <rule name="ADR" attrs="POSTAL" pos="0,7" level="1" type="append" />
        <rule name="ADR" attrs="POSTAL" pos="1,7" level="1" type="append" />
        <rule name="LABEL" pos="1,7" level="1" type="append"/>
      </node>
    </node>

    <node name="Private">
      <node name="City">
        <rule name="ADR" attrs="HOME" pos="3,7" level="0" />
        <rule name="ADR" pos="3,7" level="10" />
      </node>
      <node name="Country">
        <rule name="ADR" attrs="HOME" pos="6,7" level="0" />
        <rule name="ADR" pos="6" level="10" />
      </node>
      <node name="PostalCode">
        <rule name="ADR" attrs="HOME" pos="5,7" level="0" />
        <rule name="ADR" pos="5" level="10" />
      </node>
      <node name="State">
        <rule name="ADR" attrs="HOME" pos="4,7" level="0" />
        <rule name="ADR" pos="4" level="10" />
      </node>
      <node name="Street">
        <rule name="ADR" attrs="HOME" pos="2,7" level="0" />
        <rule name="ADR" attrs="HOME" pos="0,7" level="0" type="append" />
        <rule name="ADR" attrs="HOME" pos="1,7" level="0" type="append" />

        <rule name="ADR" pos="2,7" level="1" />
        <rule name="ADR" pos="0,7" level="1" type="append" />
        <rule name="ADR" pos="1,7" level="1" type="append" />

        <rule name="ADR" pos="2,7" level="10" />
      </node>
    </node>

    <node name="Business">
      <node name="City">
        <rule name="ADR" attrs="WORK" pos="3,7" level="0" />
      </node>
      <node name="Country">
        <rule name="ADR" attrs="WORK" pos="6,7" level="0" />
      </node>
      <node name="PostalCode">
        <rule name="ADR" attrs="WORK" pos="5,7" level="0" />
      </node>
      <node name="State">
        <rule name="ADR" attrs="WORK" pos="4,7" level="0" />
      </node>
      <node name="Street">
        <rule name="ADR" attrs="WORK" pos="2,7" level="0" />
        <rule name="ADR" attrs="WORK" pos="0,7" level="0" type="append" />
        <rule name="ADR" attrs="WORK" pos="1,7" level="0" type="append" />
      </node>
    </node>
  </node>

  <node name="Faxes">
    <node name="Business">
      <rule name="TEL" attrs="FAX;WORK" level="0"/>
    </node>
    <node name="Private">
        <rule name="TEL" attrs="FAX;HOME" level="0"/>
        <rule name="TEL" attrs="FAX" level="1"/>
    </node>
  </node>

  <node name="Emails">
    <node name="Private">
      <rule name="EMAIL" attrs="INTERNET;HOME" level="0"/>
      <rule name="EMAIL" attrs="HOME" level="1"/>
      <rule name="EMAIL" attrs="INTERNET" level="1"/>
      <rule name="EMAIL" level="2"/>
    </node>
    <node name="Business">
      <rule name="EMAIL" attrs="INTERNET;WORK" level="0"/>
      <rule name="EMAIL" attrs="WORK" level="1"/>
    </node>
  </node>

  <node name="Pictures">
    <node name="Business">
      <rule name="LOGO" level="0" />
    </node>
    <node name="Private">
      <rule name="PHOTO" level="0" />
      <node name="PrivatePoom">
        <rule name="PHOTO" level="1" />
      </node>
    </node>
  </node>

  <node name="RingTones">
    <node name="RingTone">
      <node name="Private">
        <rule name="SOUND" attrs="HOME" level="1"/>
        <rule name="SOUND" level="2"/>
      </node>
      <node name="Business">
        <rule name="SOUND" attrs="WORK" level="1"/>
      </node>
    </node>

    <node name="BackRingTone">
      <node name="Private">
        <rule name="SOUND" attrs="HOME;BACK" level="0"/>
      </node>
      <node name="Business">
        <rule name="SOUND" attrs="WORK;BACK" level="0"/>
      </node>
    </node>
  </node>


  <node name="PagerNumbers">
    <node name="Business">
      <rule name="TEL" attrs="PAGER;WORK" level="0"/>
    </node>
    <node name="Private">
      <rule name="TEL" attrs="PAGER;HOME" level="0"/>
      <rule name="TEL" attrs="PAGER" level="1"/>
    </node>
  </node>


  <node name="IMAddresses">
    <node name="Business" >
      <rule name="TEL" attrs="MSG;WORK" level="0"/>
      <rule name="TEL" attrs="MSG" level="4"/>
    </node>
    <node name="Private">
      <node name="ICQ">
        <rule name="TEL" attrs="MSG;ICQ" level="0"/>
      </node>
      <node name="LiveMessenger">
        <rule name="TEL" attrs="MSG;LVMSN" level="0"/>
      </node>
      <node name="Skype">
        <rule name="TEL" attrs="MSG;SKYPE" level="0"/>
        <rule name="TEL" attrs="MSG;VIDEO" level="2"/>
      </node>
      <node name="GTalk">
        <rule name="TEL" attrs="MSG;GTALK" level="0"/>
        <rule name="TEL" attrs="MSG;VIDEO" level="3"/>
      </node>
      <node name="MailRu">
        <rule name="TEL" attrs="MSG;MAILRU" level="0"/>
      </node>
    </node>
  </node>

  <node name="Dates">
    <node name="Anniversary">
      <rule name="X-ANNYVERSARY" level="0"/>
    </node>
    <node name="Birthday">
      <rule name="BDAY" level="0"/>
    </node>
  </node>

  <node name="WebPages">
    <node name="Business">
      <rule name="URL" attrs="WORK" level="1" />
      <rule name="URL" level="2" />
    </node>
    <node name="Private">
      <rule name="URL" attrs="HOME" level="0" />
      <rule name="URL" level="1" />
    </node>
  </node>

  <node name="FirstName">
    <rule name="N" level="0" pos="1,5"/>
    <rule name="FN" level="1" type="append"/>
  </node>

  <node name="LastName">
    <rule name="N" level="0" pos="0,5"/>
    <rule name="FN" level="1" type="append"/>
  </node>

  <node name="MiddleName">
    <rule name="N" level="0" pos="2,5"/>
    <rule name="FN" level="1" type="append"/>
  </node>

  <node name="NickName">
    <rule name="NICKNAME" level="0" />
  </node>
  
  <node name="FileAs">
    <rule name="FN" level="0" />
  </node>

  <node name="JobTitle">
    <rule name="TITLE" level="0" />
  </node>

  <node name="Description">
    <rule name="X-DESCR" level="0" />
    <rule name="NOTE" level="1" />
  </node>

  <node name="Department">
    <rule name="ROLE" level="0" />
  </node>

  <node name="CompanyName">
    <rule name="ORG" level="0" />
  </node>

  <node name="Notes">
    <rule name="NOTE" level="0" />
  </node>

  <node name="Groups">
    <rule name="CATEGORIES" level="0" type="list"/>
  </node>

  <node name="DefaultValues" type="default">
    <rule name="X-DEFAULTVALUES" level="0" />
  </node>

  <node name="YotaID">
    <rule name="X-YOTAID" level="0" />
  </node>

</node>

